DEFINITION MODULE argumentHandling;

FROM K32baseTypes IMPORT

	integer16;

FROM K32types IMPORT

	seid;

FROM NKSR IMPORT

	NKSRtiiStruct;

EXPORT QUALIFIED

	getArg, getMaxTii, getUserPath, getUserTii, argc;
	
VAR
	argc: integer16;

PROCEDURE getMaxTii(VAR tii: NKSRtiiStruct);

PROCEDURE getUserTii(VAR tii: NKSRtiiStruct);

PROCEDURE getUserPath(VAR path: seid);

PROCEDURE getArg(i: integer16; VAR a: ARRAY OF CHAR): integer16;

PROCEDURE init;

END argumentHandling.
